Bug 732695 - File bug with upstream requesting license be included in the distribution
Summary: File bug with upstream requesting license be included in the distribution
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-novaclient
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pádraig Brady
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-23 10:26 UTC by Mark McLoughlin
Modified: 2016-01-04 14:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-21 20:53:25 UTC


Attachments (Terms of Use)

Description Mark McLoughlin 2011-08-23 10:26:09 UTC
Currently, the python-novaclient distribution doesn't include a license file

According to:

http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

Fedora greatly prefers if the license to be included

Comment 1 Alan Pevec 2012-03-23 07:29:02 UTC
Fixed upstream in https://review.openstack.org/#change,2239
just need spec change to include it:
--- a/python-novaclient.spec
+++ b/python-novaclient.spec
@@ -62,6 +62,7 @@ rm -fr html/.doctrees html/.buildinfo
 
 %files
 %doc README.rst
+%doc LICENSE
 %{_bindir}/nova
 %{python_sitelib}/novaclient
 %{python_sitelib}/*.egg-info


Note You need to log in before you can comment on or make changes to this bug.